=== modified file 'NEWS'
--- NEWS	2010-01-06 04:48:59 +0000
+++ NEWS	2010-01-07 03:03:01 +0000
@@ -95,8 +95,9 @@
   deprecation thunk, but not all. (John Arbash Meinel)
 
 * The Transport ``Server.tearDown`` method is now renamed to
-  ``stop_server`` for consistency with general naming, and to avoid
-  confusion with Python's ``TestCase.tearDown``.  (Martin Pool)
+  ``stop_server`` and ``setUp`` to ``start_server`` for consistency with
+  our normal naming pattern, and to avoid confusion with Python's
+  ``TestCase.tearDown``.  (Martin Pool)
 
 * ``WorkingTree.update`` implementations must now accept a ``revision``
   parameter.

=== modified file 'bzrlib/plugins/launchpad/test_lp_directory.py'
--- bzrlib/plugins/launchpad/test_lp_directory.py	2010-01-06 04:48:59 +0000
+++ bzrlib/plugins/launchpad/test_lp_directory.py	2010-01-07 03:03:01 +0000
@@ -274,7 +274,7 @@
     def setUp(self):
         tests.TestCase.setUp(self)
         self.server = self.server_class()
-        self.server.setUp()
+        self.server.start_server()
         # Ensure we don't clobber env
         self._captureVar('BZR_LP_XMLRPC_URL', None)
 

=== modified file 'bzrlib/smart/server.py'
--- bzrlib/smart/server.py	2010-01-06 04:48:59 +0000
+++ bzrlib/smart/server.py	2010-01-07 03:03:01 +0000
@@ -251,7 +251,7 @@
         """Get a backing transport from a server we are decorating."""
         return transport.get_transport(backing_transport_server.get_url())
 
-    def setUp(self, backing_transport_server=None,
+    def start_server(self, backing_transport_server=None,
               client_path_extra='/extra/'):
         """Set up server for testing.
 
@@ -273,7 +273,7 @@
             backing_transport_server = LocalURLServer()
         self.chroot_server = ChrootServer(
             self.get_backing_transport(backing_transport_server))
-        self.chroot_server.setUp()
+        self.chroot_server.start_server()
         self.backing_transport = transport.get_transport(
             self.chroot_server.get_url())
         self.root_client_path = self.client_path_extra = client_path_extra
@@ -386,14 +386,14 @@
         """Chroot transport, and decorate with userdir expander."""
         self.base_path = self.get_base_path(transport)
         chroot_server = chroot.ChrootServer(transport)
-        chroot_server.setUp()
+        chroot_server.start_server()
         self.cleanups.append(chroot_server.stop_server)
         transport = get_transport(chroot_server.get_url())
         if self.base_path is not None:
             # Decorate the server's backing transport with a filter that can
             # expand homedirs.
             expand_userdirs = self._make_expand_userdirs_filter(transport)
-            expand_userdirs.setUp()
+            expand_userdirs.start_server()
             self.cleanups.append(expand_userdirs.stop_server)
             transport = get_transport(expand_userdirs.get_url())
         self.transport = transport

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/__init__.py	2010-01-07 03:03:01 +0000
@@ -1017,9 +1017,9 @@
         server's urls to be used.
         """
         if backing_server is None:
-            transport_server.setUp()
+            transport_server.start_server()
         else:
-            transport_server.setUp(backing_server)
+            transport_server.start_server(backing_server)
         self.addCleanup(transport_server.stop_server)
         # Obtain a real transport because if the server supplies a password, it
         # will be hidden from the base on the client side.

=== modified file 'bzrlib/tests/blackbox/test_push.py'
--- bzrlib/tests/blackbox/test_push.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/blackbox/test_push.py	2010-01-07 03:03:01 +0000
@@ -584,7 +584,7 @@
 
 class RedirectingMemoryServer(memory.MemoryServer):
 
-    def setUp(self):
+    def start_server(self):
         self._dirs = {'/': None}
         self._files = {}
         self._locks = {}

=== modified file 'bzrlib/tests/blackbox/test_serve.py'
--- bzrlib/tests/blackbox/test_serve.py	2009-12-22 18:18:20 +0000
+++ bzrlib/tests/blackbox/test_serve.py	2010-01-07 03:03:01 +0000
@@ -287,7 +287,7 @@
         return path
 
     def make_test_server(self, base_path='/'):
-        """Make and setUp a BzrServerFactory, backed by a memory transport, and
+        """Make and start a BzrServerFactory, backed by a memory transport, and
         creat '/home/user' in that transport.
         """
         bzr_server = BzrServerFactory(

=== modified file 'bzrlib/tests/ftp_server/__init__.py'
--- bzrlib/tests/ftp_server/__init__.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/ftp_server/__init__.py	2010-01-07 03:03:01 +0000
@@ -66,7 +66,7 @@
     never called).
     """
 
-    def setUp(self, vfs_server=None):
+    def start_server(self, vfs_server=None):
         pass
 
     def stop_server(self):

=== modified file 'bzrlib/tests/ftp_server/medusa_based.py'
--- bzrlib/tests/ftp_server/medusa_based.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/ftp_server/medusa_based.py	2010-01-07 03:03:01 +0000
@@ -233,7 +233,7 @@
         """This is used by medusa.ftp_server to log connections, etc."""
         self.logs.append(message)
 
-    def setUp(self, vfs_server=None):
+    def start_server(self, vfs_server=None):
         from bzrlib.transport.local import LocalURLServer
         if not (vfs_server is None or isinstance(vfs_server, LocalURLServer)):
             raise AssertionError(

=== modified file 'bzrlib/tests/ftp_server/pyftpdlib_based.py'
--- bzrlib/tests/ftp_server/pyftpdlib_based.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/ftp_server/pyftpdlib_based.py	2010-01-07 03:03:01 +0000
@@ -156,7 +156,7 @@
         """This is used by ftp_server to log connections, etc."""
         self.logs.append(message)
 
-    def setUp(self, vfs_server=None):
+    def start_server(self, vfs_server=None):
         from bzrlib.transport.local import LocalURLServer
         if not (vfs_server is None or isinstance(vfs_server, LocalURLServer)):
             raise AssertionError(

=== modified file 'bzrlib/tests/http_server.py'
--- bzrlib/tests/http_server.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/http_server.py	2010-01-07 03:03:01 +0000
@@ -521,8 +521,8 @@
         """Capture Server log output."""
         self.logs.append(format % args)
 
-    def setUp(self, backing_transport_server=None):
-        """See bzrlib.transport.Server.setUp.
+    def start_server(self, backing_transport_server=None):
+        """See bzrlib.transport.Server.start_server.
 
         :param backing_transport_server: The transport that requests over this
             protocol should be forwarded to. Note that this is currently not

=== modified file 'bzrlib/tests/http_utils.py'
--- bzrlib/tests/http_utils.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/http_utils.py	2010-01-07 03:03:01 +0000
@@ -58,7 +58,7 @@
         """Hand the request off to a smart server instance."""
         backing = get_transport(self.server.test_case_server._home_dir)
         chroot_server = chroot.ChrootServer(backing)
-        chroot_server.setUp()
+        chroot_server.start_server()
         try:
             t = get_transport(chroot_server.get_url())
             self.do_POST_inner(t)

=== modified file 'bzrlib/tests/test_http.py'
--- bzrlib/tests/test_http.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/test_http.py	2010-01-07 03:03:01 +0000
@@ -218,7 +218,7 @@
     def get_url(self):
         return '%s://%s:%s/' % (self.scheme, self.host, self.port)
 
-    def setUp(self):
+    def start_server(self):
         self._sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
         self._sock.bind(('127.0.0.1', 0))
         self.host, self.port = self._sock.getsockname()
@@ -306,7 +306,7 @@
 
         server = http_server.HttpServer(BogusRequestHandler)
         try:
-            self.assertRaises(httplib.UnknownProtocol, server.setUp)
+            self.assertRaises(httplib.UnknownProtocol, server.start_server)
         except:
             server.stop_server()
             self.fail('HTTP Server creation did not raise UnknownProtocol')
@@ -314,14 +314,14 @@
     def test_force_invalid_protocol(self):
         server = http_server.HttpServer(protocol_version='HTTP/0.1')
         try:
-            self.assertRaises(httplib.UnknownProtocol, server.setUp)
+            self.assertRaises(httplib.UnknownProtocol, server.start_server)
         except:
             server.stop_server()
             self.fail('HTTP Server creation did not raise UnknownProtocol')
 
     def test_server_start_and_stop(self):
         server = http_server.HttpServer()
-        server.setUp()
+        server.start_server()
         try:
             self.assertTrue(server._http_running)
         finally:
@@ -428,7 +428,7 @@
     def test_http_impl_urls(self):
         """There are servers which ask for particular clients to connect"""
         server = self._server()
-        server.setUp()
+        server.start_server()
         try:
             url = server.get_url()
             self.assertTrue(url.startswith('%s://' % self._qualified_prefix))
@@ -765,7 +765,7 @@
 
     def test_setUp_and_stop(self):
         server = RecordingServer(expect_body_tail=None)
-        server.setUp()
+        server.start_server()
         try:
             self.assertNotEqual(None, server.host)
             self.assertNotEqual(None, server.port)
@@ -1964,7 +1964,7 @@
     def setUp(self):
         tests.TestCase.setUp(self)
         self.server = self._activity_server(self._protocol_version)
-        self.server.setUp()
+        self.server.start_server()
         self.activities = {}
         def report_activity(t, bytes, direction):
             count = self.activities.get(direction, 0)
@@ -2105,7 +2105,7 @@
     def setUp(self):
         tests.TestCase.setUp(self)
         self.server = self._activity_server(self._protocol_version)
-        self.server.setUp()
+        self.server.start_server()
         self.activities = {}
         def report_activity(t, bytes, direction):
             count = self.activities.get(direction, 0)
@@ -2136,7 +2136,7 @@
         self.server = ActivityHTTPServer('HTTP/1.1')
         self._transport=_urllib.HttpTransport_urllib
 
-        self.server.setUp()
+        self.server.start_server()
 
         # We override at class level because constructors may propagate the
         # bound method and render instance overriding ineffective (an

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/test_selftest.py	2010-01-07 03:03:01 +0000
@@ -1485,7 +1485,7 @@
         # Manually set one up (TestCase doesn't and shouldn't provide magic
         # machinery)
         transport_server = MemoryServer()
-        transport_server.setUp()
+        transport_server.start_server()
         self.addCleanup(transport_server.stop_server)
         t = transport.get_transport(transport_server.get_url())
         bzrdir.BzrDir.create(t.base)
@@ -2600,7 +2600,7 @@
         # caught in the regular way and turned into an error message plus exit
         # code.
         transport_server = MemoryServer()
-        transport_server.setUp()
+        transport_server.start_server()
         self.addCleanup(transport_server.stop_server)
         url = transport_server.get_url()
         self.permit_url(url)

=== modified file 'bzrlib/tests/test_sftp_transport.py'
--- bzrlib/tests/test_sftp_transport.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/test_sftp_transport.py	2010-01-07 03:03:01 +0000
@@ -192,7 +192,7 @@
     def test_abspath_root_sibling_server(self):
         from bzrlib.transport.sftp import SFTPSiblingAbsoluteServer
         server = SFTPSiblingAbsoluteServer()
-        server.setUp()
+        server.start_server()
         try:
             transport = get_transport(server.get_url())
             self.assertFalse(transport.abspath('/').endswith('/~/'))

=== modified file 'bzrlib/tests/test_smart_transport.py'
--- bzrlib/tests/test_smart_transport.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/test_smart_transport.py	2010-01-07 03:03:01 +0000
@@ -987,10 +987,10 @@
     All of these tests are run with a server running on another thread serving
     a MemoryTransport, and a connection to it already open.
 
-    the server is obtained by calling self.setUpServer(readonly=False).
+    the server is obtained by calling self.start_server(readonly=False).
     """
 
-    def setUpServer(self, readonly=False, backing_transport=None):
+    def start_server(self, readonly=False, backing_transport=None):
         """Setup the server.
 
         :param readonly: Create a readonly server.
@@ -1000,7 +1000,7 @@
         # self.vfs_transport_factory etc.
         if not backing_transport:
             mem_server = memory.MemoryServer()
-            mem_server.setUp()
+            mem_server.start_server()
             self.addCleanup(mem_server.stop_server)
             self.permit_url(mem_server.get_url())
             self.backing_transport = get_transport(mem_server.get_url())
@@ -1029,7 +1029,7 @@
 
     def test_server_setup_teardown(self):
         """It should be safe to teardown the server with no requests."""
-        self.setUpServer()
+        self.start_server()
         server = self.server
         transport = remote.RemoteTCPTransport(self.server.get_url())
         self.tearDownServer()
@@ -1037,7 +1037,7 @@
 
     def test_server_closes_listening_sock_on_shutdown_after_request(self):
         """The server should close its listening socket when it's stopped."""
-        self.setUpServer()
+        self.start_server()
         server = self.server
         self.transport.has('.')
         self.tearDownServer()
@@ -1052,7 +1052,7 @@
 
     def setUp(self):
         super(WritableEndToEndTests, self).setUp()
-        self.setUpServer()
+        self.start_server()
 
     def test_start_tcp_server(self):
         url = self.server.get_url()
@@ -1131,7 +1131,7 @@
     def test_mkdir_error_readonly(self):
         """TransportNotPossible should be preserved from the backing transport."""
         self._captureVar('BZR_NO_SMART_VFS', None)
-        self.setUpServer(readonly=True)
+        self.start_server(readonly=True)
         self.assertRaises(errors.TransportNotPossible, self.transport.mkdir,
             'foo')
 
@@ -1147,7 +1147,7 @@
         self.hook_calls = []
         server.SmartTCPServer.hooks.install_named_hook('server_started',
             self.capture_server_call, None)
-        self.setUpServer()
+        self.start_server()
         # at this point, the server will be starting a thread up.
         # there is no indicator at the moment, so bodge it by doing a request.
         self.transport.has('.')
@@ -1161,7 +1161,7 @@
         self.hook_calls = []
         server.SmartTCPServer.hooks.install_named_hook('server_started',
             self.capture_server_call, None)
-        self.setUpServer(backing_transport=get_transport("."))
+        self.start_server(backing_transport=get_transport("."))
         # at this point, the server will be starting a thread up.
         # there is no indicator at the moment, so bodge it by doing a request.
         self.transport.has('.')
@@ -1177,7 +1177,7 @@
         self.hook_calls = []
         server.SmartTCPServer.hooks.install_named_hook('server_stopped',
             self.capture_server_call, None)
-        self.setUpServer()
+        self.start_server()
         result = [([self.backing_transport.base], self.transport.base)]
         # check the stopping message isn't emitted up front.
         self.assertEqual([], self.hook_calls)
@@ -1194,7 +1194,7 @@
         self.hook_calls = []
         server.SmartTCPServer.hooks.install_named_hook('server_stopped',
             self.capture_server_call, None)
-        self.setUpServer(backing_transport=get_transport("."))
+        self.start_server(backing_transport=get_transport("."))
         result = [(
             [self.backing_transport.base, self.backing_transport.external_url()]
             , self.transport.base)]

=== modified file 'bzrlib/tests/test_transport.py'
--- bzrlib/tests/test_transport.py	2010-01-06 04:48:59 +0000
+++ bzrlib/tests/test_transport.py	2010-01-07 03:03:01 +0000
@@ -430,7 +430,7 @@
     def test_setUp(self):
         backing_transport = MemoryTransport()
         server = ChrootServer(backing_transport)
-        server.setUp()
+        server.start_server()
         try:
             self.assertTrue(server.scheme in _get_protocol_handlers().keys())
         finally:
@@ -439,14 +439,14 @@
     def test_stop_server(self):
         backing_transport = MemoryTransport()
         server = ChrootServer(backing_transport)
-        server.setUp()
+        server.start_server()
         server.stop_server()
         self.assertFalse(server.scheme in _get_protocol_handlers().keys())
 
     def test_get_url(self):
         backing_transport = MemoryTransport()
         server = ChrootServer(backing_transport)
-        server.setUp()
+        server.start_server()
         try:
             self.assertEqual('chroot-%d:///' % id(server), server.get_url())
         finally:
@@ -460,7 +460,7 @@
         # The abspath is always relative to the base of the backing transport.
         server = PathFilteringServer(get_transport('memory:///foo/bar/'),
             lambda x: x)
-        server.setUp()
+        server.start_server()
         transport = get_transport(server.get_url())
         self.assertEqual(server.get_url(), transport.abspath('/'))
 
@@ -477,7 +477,7 @@
             filter_func = lambda x: x
         server = PathFilteringServer(
             get_transport('memory:///foo/bar/'), filter_func)
-        server.setUp()
+        server.start_server()
         self.addCleanup(server.stop_server)
         return get_transport(server.get_url())
 

=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2010-01-06 04:48:59 +0000
+++ bzrlib/transport/__init__.py	2010-01-07 03:03:01 +0000
@@ -1666,13 +1666,13 @@
     The Server interface provides a server for a given transport. We use
     these servers as loopback testing tools. For any given transport the
     Servers it provides must either allow writing, or serve the contents
-    of os.getcwdu() at the time setUp is called.
+    of os.getcwdu() at the time start_server is called.
 
     Note that these are real servers - they must implement all the things
     that we want bzr transports to take advantage of.
     """
 
-    def setUp(self):
+    def start_server(self):
         """Setup the server to service requests."""
 
     def stop_server(self):
@@ -1685,7 +1685,7 @@
         a database like svn, or a memory only transport, it should return
         a connection to a newly established resource for this Server.
         Otherwise it should return a url that will provide access to the path
-        that was os.getcwdu() when setUp() was called.
+        that was os.getcwdu() when start_server() was called.
 
         Subsequent calls will return the same resource.
         """

=== modified file 'bzrlib/transport/chroot.py'
--- bzrlib/transport/chroot.py	2009-09-16 04:37:33 +0000
+++ bzrlib/transport/chroot.py	2010-01-07 03:03:01 +0000
@@ -48,7 +48,7 @@
     def _factory(self, url):
         return ChrootTransport(self, url)
 
-    def setUp(self):
+    def start_server(self):
         self.scheme = 'chroot-%d:///' % id(self)
         register_transport(self.scheme, self._factory)
 
@@ -68,16 +68,16 @@
 class TestingChrootServer(ChrootServer):
 
     def __init__(self):
-        """TestingChrootServer is not usable until setUp is called."""
+        """TestingChrootServer is not usable until start_server is called."""
         ChrootServer.__init__(self, None)
 
-    def setUp(self, backing_server=None):
+    def start_server(self, backing_server=None):
         """Setup the Chroot on backing_server."""
         if backing_server is not None:
             self.backing_transport = get_transport(backing_server.get_url())
         else:
             self.backing_transport = get_transport('.')
-        ChrootServer.setUp(self)
+        ChrootServer.start_server(self)
 
 
 def get_test_permutations():

=== modified file 'bzrlib/transport/decorator.py'
--- bzrlib/transport/decorator.py	2010-01-06 04:48:59 +0000
+++ bzrlib/transport/decorator.py	2010-01-07 03:03:01 +0000
@@ -184,8 +184,8 @@
     get_decorator_class method.
     """
 
-    def setUp(self, server=None):
-        """See bzrlib.transport.Server.setUp.
+    def start_server(self, server=None):
+        """See bzrlib.transport.Server.start_server.
 
         :server: decorate the urls given by server. If not provided a
         LocalServer is created.
@@ -197,7 +197,7 @@
             from bzrlib.transport.local import LocalURLServer
             self._made_server = True
             self._server = LocalURLServer()
-            self._server.setUp()
+            self._server.start_server()
 
     def stop_server(self):
         if self._made_server:

=== modified file 'bzrlib/transport/http/wsgi.py'
--- bzrlib/transport/http/wsgi.py	2010-01-06 04:48:59 +0000
+++ bzrlib/transport/http/wsgi.py	2010-01-07 03:03:01 +0000
@@ -106,7 +106,7 @@
         # e.g. consider a smart server request for "get /etc/passwd" or
         # something.
         self.chroot_server = chroot.ChrootServer(backing_transport)
-        self.chroot_server.setUp()
+        self.chroot_server.start_server()
         self.backing_transport = get_transport(self.chroot_server.get_url())
         self.root_client_path = root_client_path
         # While the chroot server can technically be torn down at this point,

=== modified file 'bzrlib/transport/local.py'
--- bzrlib/transport/local.py	2009-06-23 01:59:20 +0000
+++ bzrlib/transport/local.py	2010-01-07 03:03:01 +0000
@@ -561,11 +561,8 @@
     this just exists to tell the test code how to get to it.
     """
 
-    def setUp(self):
-        """Setup the server to service requests.
-
-        :param decorated_transport: ignored by this implementation.
-        """
+    def start_server(self):
+        pass
 
     def get_url(self):
         """See Transport.Server.get_url."""

=== modified file 'bzrlib/transport/memory.py'
--- bzrlib/transport/memory.py	2010-01-06 04:48:59 +0000
+++ bzrlib/transport/memory.py	2010-01-07 03:03:01 +0000
@@ -303,8 +303,7 @@
 class MemoryServer(Server):
     """Server for the MemoryTransport for testing with."""
 
-    def setUp(self):
-        """See bzrlib.transport.Server.setUp."""
+    def start_server(self):
         self._dirs = {'/':None}
         self._files = {}
         self._locks = {}
@@ -318,9 +317,9 @@
         register_transport(self._scheme, memory_factory)
 
     def stop_server(self):
-        """See bzrlib.transport.Server.stop_server."""
         # unregister this server
         # XXX: why isn't this done? -- mbp 20100106
+        pass
 
     def get_url(self):
         """See bzrlib.transport.Server.get_url."""

=== modified file 'bzrlib/transport/pathfilter.py'
--- bzrlib/transport/pathfilter.py	2010-01-06 04:48:59 +0000
+++ bzrlib/transport/pathfilter.py	2010-01-07 03:03:01 +0000
@@ -59,7 +59,7 @@
     def get_url(self):
         return self.scheme
 
-    def setUp(self):
+    def start_server(self):
         self.scheme = 'filtered-%d:///' % id(self)
         register_transport(self.scheme, self._factory)
 
@@ -177,9 +177,9 @@
 class TestingPathFilteringServer(PathFilteringServer):
 
     def __init__(self):
-        """TestingChrootServer is not usable until setUp is called."""
+        """TestingChrootServer is not usable until start_server is called."""
 
-    def setUp(self, backing_server=None):
+    def start_server(self, backing_server=None):
         """Setup the Chroot on backing_server."""
         if backing_server is not None:
             self.backing_transport = get_transport(backing_server.get_url())
@@ -187,7 +187,7 @@
             self.backing_transport = get_transport('.')
         self.backing_transport.clone('added-by-filter').ensure_base()
         self.filter_func = lambda x: 'added-by-filter/' + x
-        PathFilteringServer.setUp(self)
+        PathFilteringServer.start_server(self)
 
 
 def get_test_permutations():

=== modified file 'bzrlib/transport/sftp.py'
--- bzrlib/transport/sftp.py	2010-01-06 04:48:59 +0000
+++ bzrlib/transport/sftp.py	2010-01-07 03:03:01 +0000
@@ -1078,7 +1078,7 @@
         ssh_server.start_server(event, server)
         event.wait(5.0)
 
-    def setUp(self, backing_server=None):
+    def start_server(self, backing_server=None):
         # XXX: TODO: make sftpserver back onto backing_server rather than local
         # disk.
         if not (backing_server is None or
@@ -1202,9 +1202,9 @@
     It does this by serving from a deeply-nested directory that doesn't exist.
     """
 
-    def setUp(self, backing_server=None):
+    def start_server(self, backing_server=None):
         self._server_homedir = '/dev/noone/runs/tests/here'
-        super(SFTPSiblingAbsoluteServer, self).setUp(backing_server)
+        super(SFTPSiblingAbsoluteServer, self).start_server(backing_server)
 
 
 def get_test_permutations():

